import { _decorator, Component, Node, ColliderComponent } from "cc";
import { PHY_MASK } from "./group-mask";
const { ccclass, property } = _decorator;

@ccclass("maskTestiing")
export class maskTestiing extends Component {
    @property({ type: PHY_MASK })
    phy_mask0 = 0;

    @property({ type: PHY_MASK })
    phy_mask1 = 0;

    start(){
        this.switchMask();
    }

    switchMask () {
        let collider = this.getComponent(ColliderComponent)!;
        collider.setMask(this.phy_mask0);
        // if (collider) {
        //     if (collider.getMask() == this.phy_mask0) {
        //         collider.setMask(this.phy_mask1);
        //     } else {
        //         collider.setMask(this.phy_mask0);
        //     }
        // }
    }
}
