import { _decorator, Component, Node, ButtonComponent } from 'cc';
import { tyqSDK } from './tyq-sdk';
const { ccclass, property } = _decorator;

@ccclass('tyq_exit')
export class tyq_exit extends Component {
    /* class member could be defined like this */
    // dummy = '';

    /* use `property` decorator if your want the member to be serializable */
    // @property
    // serializableDummy = 0;

    start() {
        // this.bindButton(this.node, this.Exit);
    }
    private canTouch: boolean = true;

    /**点击退出 */
    Exit() {
        if (!this.canTouch) return;
        // tt.uma.trackEvent("touchExit");
        tyqSDK.collectClickEvent("点击退出胶囊");
        this.canTouch = false;
        tyqSDK.outMain();
        let num = tyqSDK.RandomNumBoth(0, 1);
        if (num == 0) {
            tyqSDK.showVideoAD("点击胶囊视频", () => {
                this.canTouch = true;
            }, () => {
                this.canTouch = true;
            });
        } else {
            this.canTouch = true;
            tyqSDK.outMain();
            tyqSDK.showMoreGameBoxPanel(true);
        }
    }

   
    // update (deltaTime: number) {
    //     // Your update function goes here.
    // }
}
