
import { _decorator, Component, Node } from 'cc';
import { SDKbaseView } from './SDKbaseView';
import { tyqSDK } from './tyq-sdk';
const { ccclass, property } = _decorator;

@ccclass('TyqPhysicalPanel')
export class TyqPhysicalPanel extends SDKbaseView {

    @property({
        type: Node,
        tooltip: "关闭"
    })
    close: Node = null!;

    @property({
        type: Node,
        tooltip: "视频"
    })
    video: Node = null!;


    start() {
        this.bindButton(this.close, () => {
            this.node.destroy();
        })
        this.bindButton(this.video, () => {
            tyqSDK.showVideoAD("获得体力", () => {
                tyqSDK.Physical = 3;
                this.node.destroy();
            })
        })
    }

}
