
import { _decorator, Component, Node, assetManager, director } from 'cc';
import BaseView from './Script/miniGamefram/game/BaseView';
const { ccclass, property } = _decorator;

@ccclass('Test2')
export class Test2 extends BaseView {

    private pack = ["dy_tyqSDK"];
    private index = 0;
    start() {
        this.onBundle();
    }

    /**加载分包 */
    onBundle() {
        var that = this;
        const str = this.pack[this.index];
        assetManager.loadBundle(str, function (err, bundle) {
            if (err) {
                return console.log(str + "分包加载失败");
            }
            that.index++;
            if (that.index < that.pack.length) {
                that.onBundle();
            } else {
                that.changeScene();
            }
        });

    }

    /**切换场景 */
    changeScene() {
        director.loadScene("testScne");
    }
}

